Update cover of a plan Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
PUT /api/v1/plans/{plan_uuid}/cover/{uuid}

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • plan_uuid string Required
  • uuid string Required
application/json

Body

  • cover_type string

    Cover type.

    Value Description
    3rd_party 3rd Party
    3rd_party_fire_and_theft 3rd Party Fire And Theft
    accidental_damage Accidental Damage
    additional_rider_benefit Additional Rider Benefit
    ambulance Ambulance
    asu ASU
    buildings Buildings
    buildings_and_contents Buildings And Contents
    business Business
    comprehensive Comprehensive
    contents Contents
    critical_illness Critical Illness
    dental Dental
    extras Extras
    family_income_benefit Family Income Benefit
    hospital_cash Hospital Cash
    income_insurance Income Insurance
    life_assurance Life Assurance
    optical Optical
    personal_possessions Personal Possessions
    private Private
    private_hospital Private Hospital
    specialist Specialist
    tpd_total_permanent_disability TPD (Total Permanent Disability)
    trauma_insurance Trauma Insurance
    waiver_of_premium Waiver Of Premium
    unknown Unknown

    Values are 3rd_party, 3rd_party_fire_and_theft, accidental_damage, additional_rider_benefit, ambulance, asu, buildings, buildings_and_contents, business, comprehensive, contents, critical_illness, dental, extras, family_income_benefit, hospital_cash, income_insurance, life_assurance, optical, personal_possessions, private, private_hospital, specialist, tpd_total_permanent_disability, trauma_insurance, waiver_of_premium, or unknown.

  • benefit_amount integer

    Benefit amount in pennies. Only for protection policies.

  • benefit_status string

    Benefit status. Only for protection policies. Valid options are: active, inactive and proposed

    Value Description
    active Active
    inactive Inactive
    proposed Proposed

    Values are active, inactive, or proposed.

  • indexation number(float)

    Indexation. Only for protection policies.

  • excess integer

    Excess amount in pennies. Only for insurance policies.

  • beneficiaries array[object]

    The beneficiaries of the plan. UUID is a required property to update an exising beneficiary. Any beneficiaries UUIDs not included will be deleted on the plan. Any beneficiaries without a UUID are assumed to be a new beneficiary and will be created.

    Hide beneficiaries attributes Show beneficiaries attributes object
    • name string

      The name of the beneficiary.

    • percentage number(float)

      Percentage due to the beneficiary.

      Minimum value is 0.0, maximum value is 100.0.

    • uuid string(uuid)

      The UUID of the beneficiary - if not present a new beneficiary will be created.

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • message string
  • 409 application/json

    Plan is being deleted

    Hide response attribute Show response attribute object
    • message string
PUT /api/v1/plans/{plan_uuid}/cover/{uuid}
curl \
 --request PUT 'https://api.plannrcrm.com/api/v1/plans/6ff8f7f6-1eb3-3525-be4a-3932c805afed/cover/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
 --data '{"cover_type":"3rd_party","benefit_amount":892176,"benefit_status":"active","indexation":1.45,"excess":150000,"beneficiaries":[{"name":"John Smith","percentage":20.02,"uuid":"2cae0914-a130-4bbe-953b-643b98cdffe4"}]}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}

# Payload
{
  "cover_type": "3rd_party",
  "benefit_amount": 892176,
  "benefit_status": "active",
  "indexation": 1.45,
  "excess": 150000,
  "beneficiaries": [
    {
      "name": "John Smith",
      "percentage": 20.02,
      "uuid": "2cae0914-a130-4bbe-953b-643b98cdffe4"
    }
  ]
}
Response examples (200)
{
  "message": "Plan is being deleted."
}
Response examples (409)
{
  "message": "Plan is being deleted."
}